# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
# 
# Author::    Dieter Spaeth  (mailto:dieter.spaeth@gmx.de)
# Copyright:: Copyright (c) 2010 Dieter Spaeth

module RailsJqueryBundle
  module JqueryCssHelper
    include RailsJqueryBundle::Constants::Jquery::Ui

    # Includes the following stylesheets:
    # * stylesheets/jquery/ui/[JQUERY_UI_VERSION]/themes/[theme_name]/jquery-ui-...custom.css
    #
    # @param [Hash, Symbol] options
    # @option options [Symbol]  :theme the theme to include default 'start'
    #
    # @return [String] Javascript includetag for jquery-ui and i18n
    def jquery_ui_css_tag(options={})
      jquery_ui_stylesheet_tag(options).html_safe
    end

    private
    def jquery_ui_stylesheet_tag(options={})
      (stylesheet_link_tag([JQUERY_UI_THEMES_BASE , jquery_ui_theme(options), STYLESHEET_FILNAME].join('/'))).html_safe
    end

    def jquery_ui_theme(options={})
      options[:theme] || "start"
    end

  end
end
